#
# gaim_major_ver and gaim_minor_ver should be defined to match the minimum
# Gaim API version _required_ to build Guifications
# Due to the way Gaim checks plugin versions, we need to also ensure that
# the correct minimum version of Gaim is Require:'d based on what version of
# the Gaim headers we actually build with.
#
%define gaim_major_ver 1
%define gaim_minor_ver 0
%define gaim_next_major_ver %(echo $((%{gaim_major_ver}+1)))
%define gaim_build_minor_ver %(pkg-config --modversion gaim | awk -F. '{ print $2 }')

Summary:    Guifications Plugin for Gaim
Name:       gaim-guifications
Version:    2.12
Release:    1%{?dist}
License:    GPL
Group:      Applications/Internet
Url:        http://guifications.sourceforge.net/Guifications/
Source:     http://download.sourceforge.net/guifications/guifications-%{version}.tar.bz2
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libtool, gtk2-devel, gettext
BuildRequires: gaim-devel >= 1:%{gaim_major_ver}.%{gaim_minor_ver}, gaim-devel < 1:%{gaim_next_major_ver}
Requires:	gaim >= 1:%{gaim_major_ver}.%{gaim_build_minor_ver}, gaim < 1:%{gaim_next_major_ver}

%description
Guifications is a graphical notification plugin for the open source 
instant messaging client Gaim.

%prep
%setup -q -n guifications-%{version}

%build
%configure 
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR="$RPM_BUILD_ROOT" install

rm -f $RPM_BUILD_ROOT%{_libdir}/gaim/*.la $RPM_BUILD_ROOT%{_libdir}/gaim/*.a

%find_lang guifications

%clean
rm -rf $RPM_BUILD_ROOT

%files -f guifications.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING README doc/flow.png doc/flow.dia doc/QUOTES
%{_libdir}/gaim/*.so
%{_datadir}/pixmaps/gaim/guifications

%changelog
* Thu Aug 4 2005 Colin Charles <colin@fedoraproject.org> 2.12-1
- bump to new upstream release

* Tue Jun 28 2005 Colin Charles <colin@fedoraproject.org> 2.10-4
- remove redundant CFLAGS in %configure (Ralf)

* Mon Jun 27 2005 Colin Charles <colin@fedoraproject.org> 2.10-3
- remove BuildRequires on pkgconfig; brought in by gtk2-devel

* Sat Jun 25 2005 Colin Charles <colin@fedoraproject.org> 2.10-2
- changed from tar.gz to tar.bz2 for file size reduction
- fix rpmlint description-line-too-long, as well as download URL

* Sat Jun 25 2005 Colin Charles <colin@fedoraproject.org> 2.10-1
- initial FE build, with preferred BuildRoot

* Sat Apr  9 2005 Stu Tomlinson <stu@nosnilmot.com>
- spec file cleanup

* Fri Dec 17 2004 Stu Tomlinson <stu@nosnilmot.com>
- Tweaks to the Gaim version dependencies

* Sat Oct  9 2004 Stu Tomlinson <stu@nosnilmot.com>
- Add Gaim version checks to match new Gaim versioning

* Wed Jun 30 2004 Stu Tomlinson <stu@nosnilmot.com>
- Initial spec file for Guifications 2
